Index: /trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js	(revision 75)
+++ /trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js	(revision 76)
@@ -3,5 +3,5 @@
     [ "FrameworkManager", "classflair_1_1core_1_1_framework_manager.html#ac4488013eb79fb1cd0c57fe4774120ae", null ],
     [ "~FrameworkManager", "classflair_1_1core_1_1_framework_manager.html#aa97c7fbaba572aa856d23c416f3b74e4", null ],
-    [ "SetupConnection", "classflair_1_1core_1_1_framework_manager.html#a536f78b53e6f4890120b1312aa3c7b88", null ],
+    [ "SetupConnection", "classflair_1_1core_1_1_framework_manager.html#a6f3fb7e3a6eb077f6330475791f3d00b", null ],
     [ "SetupUserInterface", "classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85", null ],
     [ "GetTabWidget", "classflair_1_1core_1_1_framework_manager.html#a8f3989b0199826a913f352cc1e26f86b", null ],
Index: /trunk/doc/Flair/classflair_1_1core_1_1_gps_data.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1core_1_1_gps_data.js	(revision 75)
+++ /trunk/doc/Flair/classflair_1_1core_1_1_gps_data.js	(revision 76)
@@ -43,4 +43,5 @@
     [ "GetDop", "classflair_1_1core_1_1_gps_data.html#ad0442d89cc3b54d8f216e6539db051b6", null ],
     [ "SetDop", "classflair_1_1core_1_1_gps_data.html#a1938a21ef420d22df14bbde302530bfd", null ],
-    [ "GetDataType", "classflair_1_1core_1_1_gps_data.html#a7879d663abd8f65c224c25ac4479880d", null ]
+    [ "GetDataType", "classflair_1_1core_1_1_gps_data.html#a7879d663abd8f65c224c25ac4479880d", null ],
+    [ "RawRead", "classflair_1_1core_1_1_gps_data.html#a244d2936017287fcba29d56a02eb18d7", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1core_1_1_matrix.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1core_1_1_matrix.js	(revision 76)
+++ /trunk/doc/Flair/classflair_1_1core_1_1_matrix.js	(revision 76)
@@ -0,0 +1,19 @@
+var classflair_1_1core_1_1_matrix =
+[
+    [ "Type", "classflair_1_1core_1_1_matrix_1_1_type.html", "classflair_1_1core_1_1_matrix_1_1_type" ],
+    [ "Matrix", "classflair_1_1core_1_1_matrix.html#a4164abbef5110aa9af45794e8daa8e84", null ],
+    [ "Matrix", "classflair_1_1core_1_1_matrix.html#a555ab0e65f533a4001ab61ce118a45c5", null ],
+    [ "~Matrix", "classflair_1_1core_1_1_matrix.html#acad75903ba1f82126fcf1f8ebc243466", null ],
+    [ "Value", "classflair_1_1core_1_1_matrix.html#ae8aef6f26e366dac2eb4030b9438d132", null ],
+    [ "ValueNoMutex", "classflair_1_1core_1_1_matrix.html#ae9c5a13ff1ee9f2ff98331e69954fdce", null ],
+    [ "SetValue", "classflair_1_1core_1_1_matrix.html#a53352958cb4d3bf29d3831cd89557f85", null ],
+    [ "SetValueNoMutex", "classflair_1_1core_1_1_matrix.html#a588761ae5606e5a6d9f37a15e0e23c43", null ],
+    [ "Name", "classflair_1_1core_1_1_matrix.html#af0543bc71a763264e0ce5004f6991e94", null ],
+    [ "Element", "classflair_1_1core_1_1_matrix.html#ad9b92f2a6a42cdc78690f7ba37f16329", null ],
+    [ "Element", "classflair_1_1core_1_1_matrix.html#ac5d62a4986c984244ef6743fde7778af", null ],
+    [ "Rows", "classflair_1_1core_1_1_matrix.html#a4347ec4349efc11d76792e8116452d6c", null ],
+    [ "Cols", "classflair_1_1core_1_1_matrix.html#ad14d9ef66bd0148dea7b15fdaf966898", null ],
+    [ "GetDataType", "classflair_1_1core_1_1_matrix.html#a9c3e12c0f54890966c4b87345aebba86", null ],
+    [ "RawRead", "classflair_1_1core_1_1_matrix.html#af7509ac0c75da68a075810b65ff3af9b", null ],
+    [ "RawWrite", "classflair_1_1core_1_1_matrix.html#acad848be33c2afdc0cb447b3ce4c8533", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1core_1_1_matrix_1_1_type.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1core_1_1_matrix_1_1_type.js	(revision 76)
+++ /trunk/doc/Flair/classflair_1_1core_1_1_matrix_1_1_type.js	(revision 76)
@@ -0,0 +1,9 @@
+var classflair_1_1core_1_1_matrix_1_1_type =
+[
+    [ "Type", "classflair_1_1core_1_1_matrix_1_1_type.html#a993a8210fdc5f834954fb36f9583612a", null ],
+    [ "GetSize", "classflair_1_1core_1_1_matrix_1_1_type.html#a2bd0b382b8bb50983cdb2caa8bff8b02", null ],
+    [ "GetDescription", "classflair_1_1core_1_1_matrix_1_1_type.html#a0f27d3c6f5b59642decb368a3e0ea0d1", null ],
+    [ "GetNbRows", "classflair_1_1core_1_1_matrix_1_1_type.html#a3cb53338ec0a58b946073e4d2b56c1b9", null ],
+    [ "GetNbCols", "classflair_1_1core_1_1_matrix_1_1_type.html#ab2b715ddb4afa63c5373c384b629aca2", null ],
+    [ "GetElementDataType", "classflair_1_1core_1_1_matrix_1_1_type.html#a524df39b8954c7aa1772ed3df7bc7fa1", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1core_1_1io__data.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1core_1_1io__data.js	(revision 75)
+++ /trunk/doc/Flair/classflair_1_1core_1_1io__data.js	(revision 76)
@@ -10,4 +10,6 @@
     [ "Prev", "classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47", null ],
     [ "GetDataType", "classflair_1_1core_1_1io__data.html#a355c0ba5812d0c5a60a07fcacc692d3e", null ],
+    [ "RawWrite", "classflair_1_1core_1_1io__data.html#aa81cc1713a594806040a1e5d52ec9fa3", null ],
+    [ "RawRead", "classflair_1_1core_1_1io__data.html#aa590e14a9fb18a1ffc5d4dbed85f46c4", null ],
     [ "AppendLogDescription", "classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d", null ],
     [ "SetPtrToCircle", "classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2", null ],
Index: /trunk/doc/Flair/classflair_1_1filter_1_1_pid.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1filter_1_1_pid.js	(revision 75)
+++ /trunk/doc/Flair/classflair_1_1filter_1_1_pid.js	(revision 76)
@@ -4,4 +4,5 @@
     [ "~Pid", "classflair_1_1filter_1_1_pid.html#ab8e08d20453ac21096363f591ac365df", null ],
     [ "Reset", "classflair_1_1filter_1_1_pid.html#a41573a79913af95cbb94d30225e913b6", null ],
+    [ "GetIntegral", "classflair_1_1filter_1_1_pid.html#a54ef7c5dc588f52954121e22faf50b92", null ],
     [ "SetValues", "classflair_1_1filter_1_1_pid.html#a27c025ae6b9a9a192a234ab74e2e6f8b", null ],
     [ "UseDefaultPlot", "classflair_1_1filter_1_1_pid.html#a8128ecc530ff19abae93027d72d4b5ec", null ],
Index: /trunk/doc/Flair/classflair_1_1gui_1_1_us_sensor_plot.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1gui_1_1_us_sensor_plot.js	(revision 76)
+++ /trunk/doc/Flair/classflair_1_1gui_1_1_us_sensor_plot.js	(revision 76)
@@ -0,0 +1,5 @@
+var classflair_1_1gui_1_1_us_sensor_plot =
+[
+    [ "UsSensorPlot", "classflair_1_1gui_1_1_us_sensor_plot.html#a66fe4943d313e5dedbdd8b51a1b45376", null ],
+    [ "~UsSensorPlot", "classflair_1_1gui_1_1_us_sensor_plot.html#ac3070e68f0ec9a688e73c0b6787e55f2", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_pressure_sensor.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_pressure_sensor.js	(revision 76)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_pressure_sensor.js	(revision 76)
@@ -0,0 +1,15 @@
+var classflair_1_1sensor_1_1_pressure_sensor =
+[
+    [ "PressureSensor", "classflair_1_1sensor_1_1_pressure_sensor.html#a7d182425c5ff1f688fc454c22b4aafea", null ],
+    [ "PressureSensor", "classflair_1_1sensor_1_1_pressure_sensor.html#a6558591ceeb43836caa9595a4217129e", null ],
+    [ "~PressureSensor", "classflair_1_1sensor_1_1_pressure_sensor.html#aaae06f33c400f46b6f385ef2f930b911", null ],
+    [ "LockUserInterface", "classflair_1_1sensor_1_1_pressure_sensor.html#a35a016871ee1e5968a745060cf316800", null ],
+    [ "UnlockUserInterface", "classflair_1_1sensor_1_1_pressure_sensor.html#a929ceee1b3095561c559586bc6b8aab5", null ],
+    [ "UseDefaultPlot", "classflair_1_1sensor_1_1_pressure_sensor.html#ad6a8802925c5768d9504d5174b01763c", null ],
+    [ "GetPlot", "classflair_1_1sensor_1_1_pressure_sensor.html#ac016c744fd8920289efba2859e52688a", null ],
+    [ "GetLayout", "classflair_1_1sensor_1_1_pressure_sensor.html#ad17dd045939b36d3299b1a796c9bbac7", null ],
+    [ "GetPlotTab", "classflair_1_1sensor_1_1_pressure_sensor.html#ab69deee8c478f61ff70cea97c1b438a9", null ],
+    [ "Value", "classflair_1_1sensor_1_1_pressure_sensor.html#a6b0e89ad9e52d4693e17b02a4114f41f", null ],
+    [ "GetGroupBox", "classflair_1_1sensor_1_1_pressure_sensor.html#a72c7b4e7a4e61e908fb21d3232b69443", null ],
+    [ "output", "classflair_1_1sensor_1_1_pressure_sensor.html#a4b5f87b5034879385ea5afee73893c50", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_pressure_sensor.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_pressure_sensor.js	(revision 76)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_pressure_sensor.js	(revision 76)
@@ -0,0 +1,8 @@
+var classflair_1_1sensor_1_1_simu_pressure_sensor =
+[
+    [ "SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html#a1f06458934dd62704d9e9b36e74ef4f9", null ],
+    [ "~SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html#a48115dfbc964e767360e3ba0e74a8e60", null ],
+    [ "SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html#a3f2a22d057a05792e51970737086f009", null ],
+    [ "~SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html#a48115dfbc964e767360e3ba0e74a8e60", null ],
+    [ "shmem", "classflair_1_1sensor_1_1_simu_pressure_sensor.html#ac7f371f21db99cc9499c44774f32e06f", null ]
+];
Index: /trunk/doc/Flair/files.js
===================================================================
--- /trunk/doc/Flair/files.js	(revision 75)
+++ /trunk/doc/Flair/files.js	(revision 76)
@@ -257,4 +257,6 @@
     [ "SimuLaserGL.h", "_simu_laser_g_l_8h_source.html", null ],
     [ "Simulator.h", "_simulator_8h_source.html", null ],
+    [ "FlairSensorActuator/src/SimuPressureSensor.h", "_flair_sensor_actuator_2src_2_simu_pressure_sensor_8h_source.html", null ],
+    [ "FlairSimulator/src/SimuPressureSensor.h", "_flair_simulator_2src_2_simu_pressure_sensor_8h_source.html", null ],
     [ "FlairSensorActuator/src/SimuUs.h", "_flair_sensor_actuator_2src_2_simu_us_8h_source.html", null ],
     [ "FlairSimulator/src/SimuUs.h", "_flair_simulator_2src_2_simu_us_8h_source.html", null ],
Index: /trunk/doc/Flair/hierarchy.js
===================================================================
--- /trunk/doc/Flair/hierarchy.js	(revision 75)
+++ /trunk/doc/Flair/hierarchy.js	(revision 76)
@@ -103,5 +103,7 @@
           [ "flair::sensor::SimuGps", "classflair_1_1sensor_1_1_simu_gps.html", null ]
         ] ],
-        [ "flair::sensor::PressureSensor", "classflair_1_1sensor_1_1_pressure_sensor.html", null ],
+        [ "flair::sensor::PressureSensor", "classflair_1_1sensor_1_1_pressure_sensor.html", [
+          [ "flair::sensor::SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html", null ]
+        ] ],
         [ "flair::sensor::RadioReceiver", "classflair_1_1sensor_1_1_radio_receiver.html", null ],
         [ "flair::sensor::SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html", null ],
@@ -109,4 +111,5 @@
         [ "flair::sensor::SimuImu", "classflair_1_1sensor_1_1_simu_imu.html", null ],
         [ "flair::sensor::SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html", null ],
+        [ "flair::sensor::SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html", null ],
         [ "flair::sensor::SimuUs", "classflair_1_1sensor_1_1_simu_us.html", [
           [ "flair::sensor::SimuUsGL", "classflair_1_1sensor_1_1_simu_us_g_l.html", null ]
@@ -166,4 +169,5 @@
         [ "flair::sensor::SimuImu", "classflair_1_1sensor_1_1_simu_imu.html", null ],
         [ "flair::sensor::SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html", null ],
+        [ "flair::sensor::SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html", null ],
         [ "flair::sensor::SimuUs", "classflair_1_1sensor_1_1_simu_us.html", null ],
         [ "flair::sensor::Srf08", "classflair_1_1sensor_1_1_srf08.html", null ],
Index: /trunk/doc/Flair/namespaceflair_1_1sensor.js
===================================================================
--- /trunk/doc/Flair/namespaceflair_1_1sensor.js	(revision 75)
+++ /trunk/doc/Flair/namespaceflair_1_1sensor.js	(revision 76)
@@ -25,4 +25,5 @@
     [ "SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html", "classflair_1_1sensor_1_1_simu_laser" ],
     [ "SimuLaserGL", "classflair_1_1sensor_1_1_simu_laser_g_l.html", "classflair_1_1sensor_1_1_simu_laser_g_l" ],
+    [ "SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html", "classflair_1_1sensor_1_1_simu_pressure_sensor" ],
     [ "SimuUs", "classflair_1_1sensor_1_1_simu_us.html", "classflair_1_1sensor_1_1_simu_us" ],
     [ "SimuUsGL", "classflair_1_1sensor_1_1_simu_us_g_l.html", "classflair_1_1sensor_1_1_simu_us_g_l" ],
Index: /trunk/doc/Flair/navtreedata.js
===================================================================
--- /trunk/doc/Flair/navtreedata.js	(revision 75)
+++ /trunk/doc/Flair/navtreedata.js	(revision 76)
@@ -31,11 +31,11 @@
 [
 "_afro_bldc_8h.html",
-"_vector2_d_8h_source.html",
-"classflair_1_1core_1_1_gps_data_1_1_type.html#a5bffd34158385ec39aa6ef8e04533017",
-"classflair_1_1core_1_1_udp_socket.html#ae15d1490b1c2b3657e1428ceb4bcee02",
-"classflair_1_1filter_1_1_trajectory_generator1_d.html#a1bae2d6c79641e21fba1c6c02424f7a2",
-"classflair_1_1meta_1_1_simu_x8.html#aefa595f2c5961b80179cf1c890ac3cd9",
-"classflair_1_1sensor_1_1_nmea_gps.html#a3b16dd874f0832595fe0cc874ac08d95",
-"classflair_1_1simulator_1_1_model.html#aad3ab59134a6725fbf2af1e85fb08e39"
+"_vector2_d_8h.html#ae0485a88dc635bfdea7b0282ac0369c4",
+"classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6aee015802cac7ac6094dc62db8b8a2f51",
+"classflair_1_1core_1_1_udp_socket.html#ac80625f2db4a580d4b0724839d15f3a2",
+"classflair_1_1filter_1_1_pid_thrust.html#ac74c80a60f9993fca9046e2b3e5bfc95",
+"classflair_1_1meta_1_1_simu_x4.html#a077d807f2a97a9177e0cccd721de2058",
+"classflair_1_1sensor_1_1_neo_m8_n.html#af6a4f92fb6b657ef64c2613f6c7a3673",
+"classflair_1_1simulator_1_1_mesh_scene_node.html#a332ddf4ba5a3cff5d49471ee8e3c8e37"
 ];
 
Index: /trunk/doc/Flair/navtreeindex0.js
===================================================================
--- /trunk/doc/Flair/navtreeindex0.js	(revision 75)
+++ /trunk/doc/Flair/navtreeindex0.js	(revision 76)
@@ -59,5 +59,6 @@
 "_flair_sensor_actuator_2src_2_simu_imu_8h_source.html":[2,0,99],
 "_flair_sensor_actuator_2src_2_simu_laser_8h_source.html":[2,0,101],
-"_flair_sensor_actuator_2src_2_simu_us_8h_source.html":[2,0,105],
+"_flair_sensor_actuator_2src_2_simu_pressure_sensor_8h_source.html":[2,0,105],
+"_flair_sensor_actuator_2src_2_simu_us_8h_source.html":[2,0,107],
 "_flair_simulator_2src_2_simu_bldc_8h_source.html":[2,0,93],
 "_flair_simulator_2src_2_simu_camera_8h_source.html":[2,0,95],
@@ -65,5 +66,6 @@
 "_flair_simulator_2src_2_simu_imu_8h_source.html":[2,0,100],
 "_flair_simulator_2src_2_simu_laser_8h_source.html":[2,0,102],
-"_flair_simulator_2src_2_simu_us_8h_source.html":[2,0,106],
+"_flair_simulator_2src_2_simu_pressure_sensor_8h_source.html":[2,0,106],
+"_flair_simulator_2src_2_simu_us_8h_source.html":[2,0,108],
 "_framework_manager_8h.html":[2,0,33],
 "_framework_manager_8h.html#a4783118d327bc3461f35818366dbd458":[2,0,33,2],
@@ -195,59 +197,57 @@
 "_simu_camera_g_l_8h_source.html":[2,0,96],
 "_simu_laser_g_l_8h_source.html":[2,0,103],
-"_simu_us_g_l_8h.html":[2,0,107],
-"_simu_us_g_l_8h_source.html":[2,0,107],
-"_simu_x4_8h.html":[2,0,108],
-"_simu_x4_8h_source.html":[2,0,108],
-"_simu_x8_8h.html":[2,0,109],
-"_simu_x8_8h_source.html":[2,0,109],
+"_simu_us_g_l_8h.html":[2,0,109],
+"_simu_us_g_l_8h_source.html":[2,0,109],
+"_simu_x4_8h.html":[2,0,110],
+"_simu_x4_8h_source.html":[2,0,110],
+"_simu_x8_8h.html":[2,0,111],
+"_simu_x8_8h_source.html":[2,0,111],
 "_simulator_8h_source.html":[2,0,104],
-"_spin_box_8h.html":[2,0,110],
-"_spin_box_8h_source.html":[2,0,110],
-"_srf08_8h.html":[2,0,111],
-"_srf08_8h_source.html":[2,0,111],
-"_tab_8h.html":[2,0,112],
-"_tab_8h_source.html":[2,0,112],
-"_tab_widget_8h.html":[2,0,113],
-"_tab_widget_8h_source.html":[2,0,113],
-"_target_controller_8h_source.html":[2,0,114],
-"_target_eth_controller_8h_source.html":[2,0,115],
-"_tcp_socket_8h.html":[2,0,116],
-"_tcp_socket_8h_source.html":[2,0,116],
-"_text_edit_8h.html":[2,0,117],
-"_text_edit_8h_source.html":[2,0,117],
-"_thread_8h.html":[2,0,118],
-"_thread_8h_source.html":[2,0,118],
-"_trajectory_generator1_d_8h.html":[2,0,119],
-"_trajectory_generator1_d_8h_source.html":[2,0,119],
-"_trajectory_generator2_d_circle_8h.html":[2,0,120],
-"_trajectory_generator2_d_circle_8h_source.html":[2,0,120],
-"_uav_8h.html":[2,0,121],
-"_uav_8h.html#a25c35970b8786dd95240a48119065b69":[2,0,121,1],
-"_uav_8h_source.html":[2,0,121],
-"_uav_factory_8h_source.html":[2,0,122],
-"_uav_multiplex_8h.html":[2,0,123],
-"_uav_multiplex_8h_source.html":[2,0,123],
-"_uav_state_machine_8h_source.html":[2,0,124],
-"_udp_socket_8h_source.html":[2,0,125],
-"_udt_socket_8h.html":[2,0,126],
-"_udt_socket_8h.html#a1271a7ac7e1dd35a9765f73aba412eb8":[2,0,126,1],
-"_udt_socket_8h_source.html":[2,0,126],
-"_unix___i2c_port_8h.html":[2,0,127],
-"_unix___i2c_port_8h_source.html":[2,0,127],
-"_unix___serial_port_8h.html":[2,0,128],
-"_unix___serial_port_8h_source.html":[2,0,128],
-"_us_range_finder_8h.html":[2,0,129],
-"_us_range_finder_8h_source.html":[2,0,129],
-"_us_sensor_plot_8h.html":[2,0,130],
-"_us_sensor_plot_8h_source.html":[2,0,130],
-"_v4_l_camera_8h.html":[2,0,131],
-"_v4_l_camera_8h_source.html":[2,0,131],
-"_vector2_d_8h.html":[2,0,132],
-"_vector2_d_8h.html#a002f684b4b4b844feaed934297b651a2":[2,0,132,7],
-"_vector2_d_8h.html#a4f6b5216e29c497351829aae1cd86ca4":[2,0,132,6],
-"_vector2_d_8h.html#a762372bce051dd5543ec9f596e3f863c":[2,0,132,2],
-"_vector2_d_8h.html#abc8f6e4575318eceb0d34dd38d6cb783":[2,0,132,1],
-"_vector2_d_8h.html#ac3c3c0fe665086b60dac657b8ee40911":[2,0,132,4],
-"_vector2_d_8h.html#ae0485a88dc635bfdea7b0282ac0369c4":[2,0,132,3],
-"_vector2_d_8h.html#afed3cf9fa6c2e0afb37994f55222d019":[2,0,132,5]
+"_spin_box_8h.html":[2,0,112],
+"_spin_box_8h_source.html":[2,0,112],
+"_srf08_8h.html":[2,0,113],
+"_srf08_8h_source.html":[2,0,113],
+"_tab_8h.html":[2,0,114],
+"_tab_8h_source.html":[2,0,114],
+"_tab_widget_8h.html":[2,0,115],
+"_tab_widget_8h_source.html":[2,0,115],
+"_target_controller_8h_source.html":[2,0,116],
+"_target_eth_controller_8h_source.html":[2,0,117],
+"_tcp_socket_8h.html":[2,0,118],
+"_tcp_socket_8h_source.html":[2,0,118],
+"_text_edit_8h.html":[2,0,119],
+"_text_edit_8h_source.html":[2,0,119],
+"_thread_8h.html":[2,0,120],
+"_thread_8h_source.html":[2,0,120],
+"_trajectory_generator1_d_8h.html":[2,0,121],
+"_trajectory_generator1_d_8h_source.html":[2,0,121],
+"_trajectory_generator2_d_circle_8h.html":[2,0,122],
+"_trajectory_generator2_d_circle_8h_source.html":[2,0,122],
+"_uav_8h.html":[2,0,123],
+"_uav_8h.html#a25c35970b8786dd95240a48119065b69":[2,0,123,1],
+"_uav_8h_source.html":[2,0,123],
+"_uav_factory_8h_source.html":[2,0,124],
+"_uav_multiplex_8h.html":[2,0,125],
+"_uav_multiplex_8h_source.html":[2,0,125],
+"_uav_state_machine_8h_source.html":[2,0,126],
+"_udp_socket_8h_source.html":[2,0,127],
+"_udt_socket_8h.html":[2,0,128],
+"_udt_socket_8h.html#a1271a7ac7e1dd35a9765f73aba412eb8":[2,0,128,1],
+"_udt_socket_8h_source.html":[2,0,128],
+"_unix___i2c_port_8h.html":[2,0,129],
+"_unix___i2c_port_8h_source.html":[2,0,129],
+"_unix___serial_port_8h.html":[2,0,130],
+"_unix___serial_port_8h_source.html":[2,0,130],
+"_us_range_finder_8h.html":[2,0,131],
+"_us_range_finder_8h_source.html":[2,0,131],
+"_us_sensor_plot_8h.html":[2,0,132],
+"_us_sensor_plot_8h_source.html":[2,0,132],
+"_v4_l_camera_8h.html":[2,0,133],
+"_v4_l_camera_8h_source.html":[2,0,133],
+"_vector2_d_8h.html":[2,0,134],
+"_vector2_d_8h.html#a002f684b4b4b844feaed934297b651a2":[2,0,134,7],
+"_vector2_d_8h.html#a4f6b5216e29c497351829aae1cd86ca4":[2,0,134,6],
+"_vector2_d_8h.html#a762372bce051dd5543ec9f596e3f863c":[2,0,134,2],
+"_vector2_d_8h.html#abc8f6e4575318eceb0d34dd38d6cb783":[2,0,134,1],
+"_vector2_d_8h.html#ac3c3c0fe665086b60dac657b8ee40911":[2,0,134,4]
 };
Index: /trunk/doc/Flair/navtreeindex1.js
===================================================================
--- /trunk/doc/Flair/navtreeindex1.js	(revision 75)
+++ /trunk/doc/Flair/navtreeindex1.js	(revision 76)
@@ -1,39 +1,41 @@
 var NAVTREEINDEX1 =
 {
-"_vector2_d_8h_source.html":[2,0,132],
-"_vector3_d_8h.html":[2,0,133],
-"_vector3_d_8h.html#a131335b8d92a76f6d3a40d9762ad0bdb":[2,0,133,2],
-"_vector3_d_8h.html#a2604f9cc047961b44a0db4aa0434b36e":[2,0,133,7],
-"_vector3_d_8h.html#a2b78f60f37e4ba6d62db603ca6631e95":[2,0,133,6],
-"_vector3_d_8h.html#a619733e606845eb59f7e779f2f119019":[2,0,133,9],
-"_vector3_d_8h.html#a65433796fbd8ccc2e1bb797be204b249":[2,0,133,5],
-"_vector3_d_8h.html#a661465072c8d4b3592abde48c068d73a":[2,0,133,8],
-"_vector3_d_8h.html#a792d54dcdbd816e6c7bc5ac04b5d9b22":[2,0,133,10],
-"_vector3_d_8h.html#a8672d248dccb0e7378a7b01a41a9e4e9":[2,0,133,3],
-"_vector3_d_8h.html#a8b0038ee673b89322347a81adef054f0":[2,0,133,1],
-"_vector3_d_8h.html#af0db4963be6fc919dd900fd01d9a61f0":[2,0,133,4],
-"_vector3_d_8h_source.html":[2,0,133],
-"_vector3_d_spin_box_8h.html":[2,0,135],
-"_vector3_d_spin_box_8h_source.html":[2,0,135],
-"_vector3_ddata_8h.html":[2,0,134],
-"_vector3_ddata_8h_source.html":[2,0,134],
-"_visualization_camera_8h_source.html":[2,0,136],
-"_vrpn_client_8h.html":[2,0,137],
-"_vrpn_client_8h.html#a96c531aa24e6dd95ac9dc400d8e52b2c":[2,0,137,1],
-"_vrpn_client_8h_source.html":[2,0,137],
-"_vrpn_object_8h.html":[2,0,138],
-"_vrpn_object_8h_source.html":[2,0,138],
-"_watchdog_8h.html":[2,0,139],
-"_watchdog_8h_source.html":[2,0,139],
-"_widget_8h.html":[2,0,140],
-"_widget_8h_source.html":[2,0,140],
-"_x4_8h_source.html":[2,0,141],
-"_x4_x8_multiplex_8h.html":[2,0,142],
-"_x4_x8_multiplex_8h_source.html":[2,0,142],
-"_x8_8h_source.html":[2,0,143],
-"_x_air_8h.html":[2,0,144],
-"_x_air_8h_source.html":[2,0,144],
-"_x_bldc_8h.html":[2,0,145],
-"_x_bldc_8h_source.html":[2,0,145],
+"_vector2_d_8h.html#ae0485a88dc635bfdea7b0282ac0369c4":[2,0,134,3],
+"_vector2_d_8h.html#afed3cf9fa6c2e0afb37994f55222d019":[2,0,134,5],
+"_vector2_d_8h_source.html":[2,0,134],
+"_vector3_d_8h.html":[2,0,135],
+"_vector3_d_8h.html#a131335b8d92a76f6d3a40d9762ad0bdb":[2,0,135,2],
+"_vector3_d_8h.html#a2604f9cc047961b44a0db4aa0434b36e":[2,0,135,7],
+"_vector3_d_8h.html#a2b78f60f37e4ba6d62db603ca6631e95":[2,0,135,6],
+"_vector3_d_8h.html#a619733e606845eb59f7e779f2f119019":[2,0,135,9],
+"_vector3_d_8h.html#a65433796fbd8ccc2e1bb797be204b249":[2,0,135,5],
+"_vector3_d_8h.html#a661465072c8d4b3592abde48c068d73a":[2,0,135,8],
+"_vector3_d_8h.html#a792d54dcdbd816e6c7bc5ac04b5d9b22":[2,0,135,10],
+"_vector3_d_8h.html#a8672d248dccb0e7378a7b01a41a9e4e9":[2,0,135,3],
+"_vector3_d_8h.html#a8b0038ee673b89322347a81adef054f0":[2,0,135,1],
+"_vector3_d_8h.html#af0db4963be6fc919dd900fd01d9a61f0":[2,0,135,4],
+"_vector3_d_8h_source.html":[2,0,135],
+"_vector3_d_spin_box_8h.html":[2,0,137],
+"_vector3_d_spin_box_8h_source.html":[2,0,137],
+"_vector3_ddata_8h.html":[2,0,136],
+"_vector3_ddata_8h_source.html":[2,0,136],
+"_visualization_camera_8h_source.html":[2,0,138],
+"_vrpn_client_8h.html":[2,0,139],
+"_vrpn_client_8h.html#a96c531aa24e6dd95ac9dc400d8e52b2c":[2,0,139,1],
+"_vrpn_client_8h_source.html":[2,0,139],
+"_vrpn_object_8h.html":[2,0,140],
+"_vrpn_object_8h_source.html":[2,0,140],
+"_watchdog_8h.html":[2,0,141],
+"_watchdog_8h_source.html":[2,0,141],
+"_widget_8h.html":[2,0,142],
+"_widget_8h_source.html":[2,0,142],
+"_x4_8h_source.html":[2,0,143],
+"_x4_x8_multiplex_8h.html":[2,0,144],
+"_x4_x8_multiplex_8h_source.html":[2,0,144],
+"_x8_8h_source.html":[2,0,145],
+"_x_air_8h.html":[2,0,146],
+"_x_air_8h_source.html":[2,0,146],
+"_x_bldc_8h.html":[2,0,147],
+"_x_bldc_8h_source.html":[2,0,147],
 "annotated.html":[1,0],
 "classes.html":[1,1],
@@ -184,8 +186,8 @@
 "classflair_1_1core_1_1_framework_manager.html#a4e7363801f1df89e51fd9c173e196673":[1,0,0,1,11,6],
 "classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85":[1,0,0,1,11,3],
-"classflair_1_1core_1_1_framework_manager.html#a536f78b53e6f4890120b1312aa3c7b88":[1,0,0,1,11,2],
 "classflair_1_1core_1_1_framework_manager.html#a65eff6c3651dafddc2dd55c3cab281b4":[1,0,0,1,11,11],
 "classflair_1_1core_1_1_framework_manager.html#a69e12f51081a3d58876553d9858ea1bd":[1,0,0,1,11,16],
 "classflair_1_1core_1_1_framework_manager.html#a6ed9bdb73288176aa58269f8a520d58c":[1,0,0,1,11,12],
+"classflair_1_1core_1_1_framework_manager.html#a6f3fb7e3a6eb077f6330475791f3d00b":[1,0,0,1,11,2],
 "classflair_1_1core_1_1_framework_manager.html#a845ac3ad0cbc95d71e50277d9e8093a1":[1,0,0,1,11,15],
 "classflair_1_1core_1_1_framework_manager.html#a87827cc05ace9d15c13be60d231d9ab3":[1,0,0,1,11,5],
@@ -215,4 +217,5 @@
 "classflair_1_1core_1_1_gps_data.html#a1e4cb1b1c7c97ada454ae1ed251079e7":[1,0,0,1,13,3],
 "classflair_1_1core_1_1_gps_data.html#a22707e45c31501d36ddef69f6b9cee2f":[1,0,0,1,13,12],
+"classflair_1_1core_1_1_gps_data.html#a244d2936017287fcba29d56a02eb18d7":[1,0,0,1,13,19],
 "classflair_1_1core_1_1_gps_data.html#a3cfaba20bdb233f7aa5605f3286e642e":[1,0,0,1,13,14],
 "classflair_1_1core_1_1_gps_data.html#a40703fd28dd1b6053df7292c222de5c8":[1,0,0,1,13,4],
@@ -247,7 +250,4 @@
 "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6a8ad9533f39ec3fe43d6ee0104464a116":[1,0,0,1,13,2,4],
 "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6abd9768d943ecb6ddb75aeffea3bfd829":[1,0,0,1,13,2,3],
-"classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6ae1ba155a9f2e8c3be94020eef32a0301":[1,0,0,1,13,2,7],
-"classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6aee015802cac7ac6094dc62db8b8a2f51":[1,0,0,1,13,2,2],
-"classflair_1_1core_1_1_gps_data_1_1_type.html":[1,0,0,1,13,0],
-"classflair_1_1core_1_1_gps_data_1_1_type.html#a3808fb21ce8529265cef76f60a9466c1":[1,0,0,1,13,0,1]
+"classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6ae1ba155a9f2e8c3be94020eef32a0301":[1,0,0,1,13,2,7]
 };
Index: /trunk/doc/Flair/navtreeindex2.js
===================================================================
--- /trunk/doc/Flair/navtreeindex2.js	(revision 75)
+++ /trunk/doc/Flair/navtreeindex2.js	(revision 76)
@@ -1,4 +1,7 @@
 var NAVTREEINDEX2 =
 {
+"classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6aee015802cac7ac6094dc62db8b8a2f51":[1,0,0,1,13,2,2],
+"classflair_1_1core_1_1_gps_data_1_1_type.html":[1,0,0,1,13,0],
+"classflair_1_1core_1_1_gps_data_1_1_type.html#a3808fb21ce8529265cef76f60a9466c1":[1,0,0,1,13,0,1],
 "classflair_1_1core_1_1_gps_data_1_1_type.html#a5bffd34158385ec39aa6ef8e04533017":[1,0,0,1,13,0,2],
 "classflair_1_1core_1_1_gps_data_1_1_type.html#ad0cb7de7f828500e4f5c3a113b583ef1":[1,0,0,1,13,0,0],
@@ -70,7 +73,7 @@
 "classflair_1_1core_1_1_matrix.html#a588761ae5606e5a6d9f37a15e0e23c43":[1,0,0,1,19,7],
 "classflair_1_1core_1_1_matrix.html#a9c3e12c0f54890966c4b87345aebba86":[1,0,0,1,19,13],
-"classflair_1_1core_1_1_matrix.html#aaacb1fde15f6421c634b3c93eba6133f":[1,0,0,1,19,14],
 "classflair_1_1core_1_1_matrix.html#ac5d62a4986c984244ef6743fde7778af":[1,0,0,1,19,10],
 "classflair_1_1core_1_1_matrix.html#acad75903ba1f82126fcf1f8ebc243466":[1,0,0,1,19,3],
+"classflair_1_1core_1_1_matrix.html#acad848be33c2afdc0cb447b3ce4c8533":[1,0,0,1,19,15],
 "classflair_1_1core_1_1_matrix.html#ad14d9ef66bd0148dea7b15fdaf966898":[1,0,0,1,19,12],
 "classflair_1_1core_1_1_matrix.html#ad9b92f2a6a42cdc78690f7ba37f16329":[1,0,0,1,19,9],
@@ -78,4 +81,5 @@
 "classflair_1_1core_1_1_matrix.html#ae9c5a13ff1ee9f2ff98331e69954fdce":[1,0,0,1,19,5],
 "classflair_1_1core_1_1_matrix.html#af0543bc71a763264e0ce5004f6991e94":[1,0,0,1,19,8],
+"classflair_1_1core_1_1_matrix.html#af7509ac0c75da68a075810b65ff3af9b":[1,0,0,1,19,14],
 "classflair_1_1core_1_1_matrix_1_1_type.html":[1,0,0,1,19,0],
 "classflair_1_1core_1_1_matrix_1_1_type.html#a0f27d3c6f5b59642decb368a3e0ea0d1":[1,0,0,1,19,0,2],
@@ -246,8 +250,4 @@
 "classflair_1_1core_1_1_udp_socket.html#a15aa9563f5f01a13eb4d18bd9e77f374":[1,0,0,1,35,6],
 "classflair_1_1core_1_1_udp_socket.html#ab1160de1653642d6e67be0423fe26783":[1,0,0,1,35,1],
-"classflair_1_1core_1_1_udp_socket.html#ab7baa24d07f00a5b882d5f89826adcd1":[1,0,0,1,35,5],
-"classflair_1_1core_1_1_udp_socket.html#ac80625f2db4a580d4b0724839d15f3a2":[1,0,0,1,35,3],
-"classflair_1_1core_1_1_udp_socket.html#acbea7907c592953320a157dffb21b9de":[1,0,0,1,35,0],
-"classflair_1_1core_1_1_udp_socket.html#acedd60fb4d543ee28c3e5f518fa4192f":[1,0,0,1,35,7],
-"classflair_1_1core_1_1_udp_socket.html#adcd4015274c616fda2d6b4bc9e5b7354":[1,0,0,1,35,2]
+"classflair_1_1core_1_1_udp_socket.html#ab7baa24d07f00a5b882d5f89826adcd1":[1,0,0,1,35,5]
 };
